=== modified file 'NEWS'
--- NEWS	2009-01-27 17:55:32 +0000
+++ NEWS	2009-01-27 18:43:45 +0000
@@ -14,6 +14,10 @@
 
   BUG FIXES:
 
+    * ``bzr annotate --show-ids`` doesn't give a backtrace on empty files
+      anymore.
+      (Anne Mohsen, Vincent Ladeuil, #314525)
+
     * There was a bug in how we handled resolving when a file is deleted
       in one branch, and modified in the other. If there was a criss-cross
       merge, we would cause the deletion to conflict a second time.

=== modified file 'bzrlib/annotate.py'
--- bzrlib/annotate.py	2008-09-02 01:26:52 +0000
+++ bzrlib/annotate.py	2009-01-27 18:05:00 +0000
@@ -151,6 +151,8 @@
 
 
 def _show_id_annotations(annotations, to_file, full):
+    if not annotations:
+        return
     last_rev_id = None
     max_origin_len = max(len(origin) for origin, text in annotations)
     for origin, text in annotations:

=== modified file 'bzrlib/tests/blackbox/test_annotate.py'
--- bzrlib/tests/blackbox/test_annotate.py	2008-09-24 06:52:03 +0000
+++ bzrlib/tests/blackbox/test_annotate.py	2009-01-27 10:35:38 +0000
@@ -231,6 +231,16 @@
         out, err = self.run_bzr('annotate empty')
         self.assertEqual('', out)
 
+    def test_annotate_empty_file_show_ids(self):
+        tree = self.make_branch_and_tree('tree')
+        self.build_tree_contents([('tree/empty', '')])
+        tree.add('empty')
+        tree.commit('add empty file')
+
+        os.chdir('tree')
+        out, err = self.run_bzr(['annotate', '--show-ids', 'empty'])
+        self.assertEqual('', out)
+
     def test_annotate_nonexistant_file(self):
         tree = self.make_branch_and_tree('tree')
         self.build_tree(['tree/file'])

